LINUX.ORG.RU

установка Проприетарных драйверов AMD/ATI

 ,


0

1

Всем привет. Помогите пожалуйста установить проприетарные драйвера AMD/ATI, сам немогу разобраться.

lspci | grep VGA

usr@linux:~$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 18)
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Madison [Mobility Radeon HD 5650/5750 / 6530M/6550M] (rev ff)

usr@linux:~$ lspci -k| grep -EA2 'VGA|3D'

00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 18)
	Subsystem: Acer Incorporated [ALI] Core Processor Integrated Graphics Controller
	Kernel driver in use: i915
--
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Madison [Mobility Radeon HD 5650/5750 / 6530M/6550M] (rev ff)
	Kernel driver in use: radeon
	Kernel modules: radeon

usr@linux:~$ uname --all

Linux linux 4.9.0-5-amd64 #1 SMP Debian 4.9.65-3+deb9u2 (2018-01-04) x86_64 GNU/Linux

какая может еще информация необходима? help

Если это debian 9, то никак: последний catalyst 15.12, а для твоей видеокарты нужен он, не поддерживает работу с данной версией ядра и xorg-server (по крайней мере без дополнительных патчей).

grem ★★★★★ ()
Ответ на: комментарий от user141

Они у тебя и так есть, в комплекте идут. Или ты про самые свежие версии?

Vsevolod-linuxoid ★★★★★ ()

hd5000 это старые gpu, последние проприетарные были кажись в декабре 2015, думаю на ядре 4.9 драйвера не заработают, свободные должны отлично работать, даже некоторые игрушки идти, в mesa 18.1 обещают для этих gpu поддержку OpenGL 4.5.

Aber ★★★ ()
Ответ на: комментарий от Vsevolod-linuxoid

Про свежие, и как можно узнать какая версия установлена в системе? И еще вопрос, за что отвечает firmware-amd-graphics?

user141 ()

старая карта. ставь старую систему, если хочешь проприетарные драйвера.

xmikex ★★★ ()
Ответ на: комментарий от user141

По тестам свободные лучше: https://www.phoronix.com/scan.php?page=article&item=amdgpu-1730-radeonsi&...

А как установить?

так уже все установлено:

Kernel driver in use: radeon

смотри что у тебя там с ускорениями/версиями графических api

$ glxinfo | grep version

для Xorg можно еще иксовый драйвер понастраивать через xorg.conf

vyv ★★ ()
Ответ на: комментарий от user141

Это проприетарные AMD дрова. Ты можешь поставить их, но они не подходят для твоей карты, она слишком стара.

Тебе или жить на свободных, или менять дистрибутив. И я не уверен, что есть смысл ставить свежие свободные.

Да, и как пишут ниже, по моей ссылке тесты на новых картах, у тебя иначе.

Vsevolod-linuxoid ★★★★★ ()
Последнее исправление: Vsevolod-linuxoid (всего исправлений: 2)
Ответ на: комментарий от user141

Это тесты новых GPU, на архитектуре GCN, а HD5000 это terascale. Производительность у старых gpu на свободных драйверах ниже чем на проприетарных, но последние крайне не стабильно работали, черные экраны, если игрушка вылетала нужно было перезагружать компьютер или перезапускать иксы, случались и просто зависания. На свободных дайверах такого безобразия нет. Но если ты решишь поставить проприетарные, то тебе нужно искать fglrx драйвер и даунгрейдить ядро и иксы, чтоб старые драйвера заработали.

Aber ★★★ ()
Последнее исправление: Aber (всего исправлений: 1)
Ответ на: комментарий от vyv

usr@linux:~$ glxinfo | grep version

server glx version string: 1.4
client glx version string: 1.4
GLX version: 1.4
    Max core profile version: 0.0
    Max compat profile version: 2.1
    Max GLES1 profile version: 1.1
    Max GLES[23] profile version: 2.0
OpenGL version string: 2.1 Mesa 13.0.6
OpenGL shading language version string: 1.20
OpenGL ES profile version string: OpenGL ES 2.0 Mesa 13.0.6
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 1.0.16

user141 ()
Ответ на: комментарий от Aber

у меня сейчас черный экран после блокировки экрана вместо экрана приветствия.

user141 ()
Ответ на: комментарий от user141

Бывают проблемы с отдельными картами, это надо на багтрекере ядра искать информацию по названию GPU. Можно поменять ядро, если дистрибутив позволят, и посмотреть на изменения. Fglrx драйвер может fps и добавит а вот стабильности нет.

Aber ★★★ ()
Ответ на: комментарий от Vsevolod-linuxoid

не знаю даже.) я поставил систему, а в качестве de выбрал xfce4, а мендж приветствия ставил отдельно.

user141 ()
Ответ на: комментарий от user141

Поменяй slim на lightdm, погугли light-locker.

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.